Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class Filter

    java.lang.Object
      org.apache.cassandra.utils.Filter

Direct Known Subclasses:
  BloomFilter

    public abstract class Filter

extends java.lang.Object

Constructor Summary
`Filter()`

Method Summary
`abstract void` | `add(java.lang.String key)`
`int[]` | `getHashBuckets(byte[] key)`
`int[]` | `getHashBuckets(java.lang.String key)`
`abstract boolean` | `isPresent(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Filter

    public Filter()

Method Detail

### getHashBuckets

    public int[] getHashBuckets(java.lang.String key)

### getHashBuckets

    public int[] getHashBuckets(byte[] key)

### add

    public abstract void add(java.lang.String key)

### isPresent

    public abstract boolean isPresent(java.lang.String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation